package ubuntu-docs 9.04.7 failed to install/upgrade: el subproceso post-installation script devolvi? el c?digo de salida de error 1

Bug #353288 reported by Perfecto on 2009-04-01
28
This bug affects 1 person
Affects Status Importance Assigned to Milestone
edubuntu-docs (Ubuntu)
Medium
LaserJock
ubuntu-docs (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: ubuntu-docs

It falls on update

ProblemType: Package
Architecture: amd64
DistroRelease: Ubuntu 9.04
ErrorMessage: el subproceso post-installation script devolvió el código de salida de error 1
NonfreeKernelModules: nvidia
Package: ubuntu-docs 9.04.7
PackageArchitecture: all
SourcePackage: ubuntu-docs
Title: package ubuntu-docs 9.04.7 failed to install/upgrade: el subproceso post-installation script devolvió el código de salida de error 1
Uname: Linux 2.6.28-11-generic x86_64

Perfecto (perfecto) wrote :
Matthew East (mdke) wrote :

This bug report is not a duplicate of bug 353117

The error message is:

Configurando ubuntu-docs (9.04.7) ...
rmdir: No se pudo eliminar «/usr/share/gnome/help/libs»: El directorio no está vacío
dpkg: error al procesar ubuntu-docs (--configure):
 el subproceso post-installation script devolvió el código de salida de error 1

Which appears to roughly translate as "This directory is not empty".

Matthew East (mdke) wrote :

Perfecto: please could you paste here the result of this command:

ls -al /usr/share/gnome/help/libs

Thank you

NickRickard (nickrickard) wrote :

+1 for me,

# ls -al /usr/share/gnome/help/libs
total 12
drwxr-xr-x 2 root root 120 2008-12-07 14:42 .
drwxr-xr-x 123 root root 3664 2009-03-15 14:05 ..
-rw-r--r-- 1 root root 251 2008-04-11 20:32 edubuntu.ent
-rw-r--r-- 1 root root 53 2008-04-11 20:32 edubuntu-menus-C.ent

Chris Cheney (ccheney) wrote :

Setting up ubuntu-docs (9.04.6) ...
/var/lib/dpkg/info/ubuntu-docs.postinst: 21: Syntax error: newline unexpected
dpkg: error processing ubuntu-docs (--configure):
 subprocess post-installation script returned error exit status 2
Errors were encountered while processing:
 ubuntu-docs

===

ls -al /usr/share/gnome/help/libs
lrwxrwxrwx 1 root root 22 2009-03-25 20:57 /usr/share/gnome/help/libs -> ../../ubuntu-docs/libs

===
If you actually meant:

ls -al /usr/share/gnome/help/libs/

total 144
drwxr-xr-x 9 root root 4096 2009-04-01 16:40 .
drwxr-xr-x 6 root root 4096 2009-03-23 19:07 ..
drwxr-xr-x 2 root root 4096 2009-04-01 16:40 admon
drwxr-xr-x 2 root root 4096 2009-04-01 16:40 admon-pdf
drwxr-xr-x 2 root root 4096 2009-04-01 16:40 authors
drwxr-xr-x 2 root root 4096 2009-04-01 16:40 C
drwxr-xr-x 2 root root 4096 2009-04-01 16:40 callouts
-rw-r--r-- 1 root root 3076 2009-04-01 06:11 draft-watermark-customisation.xsl
-rw-r--r-- 1 root root 5358 2009-04-01 06:11 fo-cust.xsl
-rw-r--r-- 1 root root 11247 2009-04-01 06:11 global.ent
-rw-r--r-- 1 root root 23177 2009-04-01 06:11 gnome-menus-C.ent
drwxr-xr-x 2 root root 4096 2009-04-01 16:40 img
-rw-r--r-- 1 root root 2371 2009-04-01 06:11 index.css
drwxr-xr-x 2 root root 4096 2009-04-01 16:40 navig
-rw-r--r-- 1 root root 237 2009-04-01 06:11 shipped-docs
-rw-r--r-- 1 root root 5082 2009-04-01 06:11 ubuntu-banner.xsl
-rw-r--r-- 1 root root 2889 2009-04-01 06:11 ubuntu-book.css
-rw-r--r-- 1 root root 3756 2009-04-01 06:11 ubuntu.css
-rw-r--r-- 1 root root 3255 2009-04-01 06:11 ubuntu-html-chunk-cust.xsl
-rw-r--r-- 1 root root 3035 2009-04-01 06:11 ubuntu-html-single-cust.xsl
-rw-r--r-- 1 root root 8754 2009-04-01 06:11 ubuntu-pdf.xsl
-rw-r--r-- 1 root root 3905 2009-04-01 06:11 udp-pdf.xsl
-rw-r--r-- 1 root root 4136 2009-04-01 06:11 writeOwnerStatus.xsl
-rw-r--r-- 1 root root 973 2009-04-01 06:11 xinclude.mod

Chris Cheney (ccheney) wrote :

Ignore my post I somehow have an old version although I just updated... I updated again and now got 9.04.7, which worked fine for me.

Perfecto (perfecto) wrote :

$ ls -al /usr/share/gnome/help/libs
total 16
drwxr-xr-x 2 root root 4096 2008-08-05 00:28 .
drwxr-xr-x 165 root root 4096 2009-03-31 16:05 ..
-rw-r--r-- 1 root root 251 2008-04-11 21:32 edubuntu.ent
-rw-r--r-- 1 root root 53 2008-04-11 21:32 edubuntu-menus-C.ent
$

LaserJock (laserjock) wrote :

I'll take this. I'll modify edubuntu-docs to not install the .ent files to /usr/share/gnome/help/libs/

affects: ubuntu-docs (Ubuntu) → edubuntu-docs (Ubuntu)
Changed in edubuntu-docs (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
Changed in ubuntu-docs (Ubuntu):
assignee: nobody → laserjock
Steve Langasek (vorlon) wrote :

once edubuntu-docs is fixed, ubuntu-docs will need another upload to declare that it Conflicts: edubuntu-docs (<< $fixed_version) to ensure that edubuntu-docs is upgraded/removed first as part of the upgrade.

Changed in ubuntu-docs (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package edubuntu-docs - 9.04.1ubuntu1

---------------
edubuntu-docs (9.04.1ubuntu1) jaunty; urgency=low

  * Don't install edubuntu .ent files, move inline (Closes LP: #353288)
  * Refresh .pots
  * Resynced libs/global.ent
  * Refreshed translations

 -- Jordan Mantha <email address hidden> Fri, 03 Apr 2009 12:22:45 -0700

Changed in edubuntu-docs (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-docs - 9.04.8

---------------
ubuntu-docs (9.04.8) jaunty; urgency=low

  * [Jordan Mantha]
    - Add Conflicts on edubuntu-docs (<< 9.04.1ubuntu1) LP: #353288

  * [Matthew East]
    - Remove es_ES and es_PR locales (LP: #348855)
    - Removing strings about totem not being able to support DVD menus (LP: #354777)

 -- Matthew East <email address hidden> Fri, 03 Apr 2009 21:19:27 +0100

Changed in ubuntu-docs (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers